XPCE-CLIENT(1)

NAME
xpce-client - Contact an XPCE server socket

SYNOPSIS
xpce-client socket [-b] [-c command]

DESCRIPTION
xpce-client is a small program to contact an xpce(1) server socket and feed the xpce process commands. A generic server that provides the possibility to execute Prolog goals is available in the library(pce_server). This server may be started from xpce using the command

    ?- pce_server(socket).

after which this server may be contacted using:

    % xpce-client socket
    (pce) send(new(P, picture), open).
    P = @717363
    (pce) exit
    %

  Options

-b  Block until the xpce server closes the connection. Otherwise xpce-client exists as soon as it has send all requests to the server without waiting for response.

-c command
    Send command as a command to the server. Without this option, xpce-client will copy standard input to the server socket and copy any output from the socket to standard output.

SEE ALSO
swipl(1)

COPYING
xpce-client(1) is not copyrighted. You may use, copy and modify its sources and/or binaries as you like.

AUTHOR
Jan Wielemaker, SWI, University of Amsterdam